<?php
/*
 * BUT DU SCRIPT : 
 * - Permettre la gestion des fiches de film en incluant la page necessaire
 */
 
// ################## 
// Dfinition des Classes
// ##################
	require_once(RACINE_SOURCE . 'objets/objets-bdd.php');
	require_once(RACINE_SOURCE . 'objets/objets-fichier.php');
		
// ##################
// Dfinition des Fonctions
// ##################
	require_once(RACINE_SOURCE . 'fonctions/fonctions-bdd.php');

// ##################
// Cration des Objets
// ##################
	$videotheque = new base_de_donnee('videotheque');
	$film = new table('film_test');
	$securite = new securite();
?>

	<script type="text/javascript">
		function modifier_action(nom_action)
		{
			var action_contenu=document.getElementById('action_fiche');

			action_contenu.value=nom_action;
		}
	</script>



	<div id="conteneur" style="width:1000px; height:950px">		
		<div id="zone_edition" style="width: 600px; position: absolute; left:530px">
			<br>
			<?php
			// inclusion du script en fonction de l'operation choisie
			if(isset($_GET['action']))
			{
				switch($_GET['action'])
				{
					case 'creer':
						require(RACINE_SOURCE . 'formulaire-fiche_film-creation.php');
						break;
					
					case 'modifier':
						if(isset($_GET['id']))
							{
								//on vrifie que l'id du film existe
								$id_film = $securite->toValueSQL($_GET['id']);
								
								if( valeur_existe($film,'id_film',$id_film) )
										{
											require(RACINE_SOURCE . 'formulaire-fiche_film-modification.php');
										}
							}
						break;
			
					case 'supprimer':
						// script qui concerne la supression d'une fiche
						if(isset($_GET['id']))
						{
							//on vrifie que l'id du film existe
							$id_film = $securite->toValueSQL($_GET['id']);
						
							if( valeur_existe($film,'id_film',$id_film) )
								{
									require(RACINE_SOURCE . 'scripts/script-fiche_film-supression.php');
								}
						}
							break;
				}
			}
			?>
		</div>
		
		<?php 
		//code qui concerne la recherche dans les noms d'un film
		if( isset($_GET['search']) && $_GET['search']!='')
		{
			$titre_search=mysql_real_escape_string($_GET['search']);
			
			$options='WHERE titre_film LIKE \'%' . $titre_search . '%\' ';
		}
		else
		{
			$options='';
		}
		
		//ordre d'affichage
		$ordre='ORDER BY titre_film ASC'
		?>
		
		
		
		<!-- debut du menu -->
			<div id="menu_gauche" style="width: 300px; text-align: center; position: absolute; left: 170px;">
				<br>
				<form method="get" action="">
					<input type="text" name="search">&nbsp;&nbsp;<input type="submit" value="rechercher">
				</form><br>
				<form method="get" action="">
						<select name="id" size="30" id="id_film" style="min-width:200px; ">
								<?php
									$reponseSQL=$film->select('id_film,titre_film', $options . $ordre);
									liste_option($reponseSQL,1); 
								?>
						</select><br>
						
					<input type="hidden" name="action" id="action_fiche">
					
					<input type="submit" value="Creer" onClick="modifier_action('creer')" accesskey="1">	
					<input type="submit" value="Modifier" onClick="modifier_action('modifier')" accesskey="2">
					<input type="submit" value="Supprimer" onClick="modifier_action('supprimer')" accesskey="3">
				</form>
			</div>
		<!-- fin du menu -->

	</div>