// Fonction qui fonctionne equivalente  trim en php (enlve les espaces avant et aprs une chaine)
function trim (myString)
{
	return myString.replace(/^\s+/g,'').replace(/\s+$/g,'')
}

// Fonction qui confirme le fait qu'un champs n'est pas vide
function champsVide(champTester)
{
	// On modifie la valeur du champs tester (on enlve avant et aprs les espaces)
	champTester.value=trim(champTester.value);

	// On vrifie que la valeur du champs tester est pas vide
	if(champTester.value=='')
	{
		//le champs est vide
		champTester.style.backgroundColor="#F60"; //changement de la couleur du fond en vert
		return true;
	}
	else
	{
		//le champs possde une valeur non nul
		champTester.style.backgroundColor="#0F6"; //changement de la couleur du fond en orange
		//return false; (dsactiver car non necessaire)
	}
}

function checkFormFilm(mode)
{
	// on capture les lments du formulaire
	var titre=document.getElementsByName('titre_film')[0];
	var annee=document.getElementsByName('annee_parution')[0];
	var realisateurs=document.getElementsByName('liste_realisateurs')[0];
	var acteurs=document.getElementsByName('liste_acteurs')[0];
	var resume=document.getElementsByName('resume_film')[0];
	var id_dvd=document.getElementsByName('id_dvd')[0];	
	
	// on supprime les caractres d'espacement avant et aprs (pour plus de facilit pour comparer ensuite)
	titre.value=trim(titre.value);
	annee.value=trim(annee.value);
	realisateurs.value=trim(realisateurs.value);
	acteurs.value=trim(acteurs.value);
	resume.value=trim(resume.value);

	// on regarde si le contenue est vide
	champsIncomplet=false;

	if(champsVide(titre)) { champsIncomplet=true; }
	if(champsVide(realisateurs)) { champsIncomplet=true; }
	if(champsVide(acteurs)) { champsIncomplet=true; }
	if(champsVide(resume)) { champsIncomplet=true; }

	// cas particulier : anne parution (on vrifie aussi si le nombre est correcte)
		// on cre un regexp (4 nombres de 0  9)
		regAnnee = new RegExp("^[1-9][0-9]{3}$");
	
		// on teste si l'anne correspond bien au regexp
		if(regAnnee.test(annee.value))
			{
				//s'il correspond
				annee.style.backgroundColor="#0F6"; //vert
				
			}
		else
			{
				//anne incorrecte
				annee.style.backgroundColor="#F60"; //orange
				champsIncomplet=true;
			}
		
	// cas particulier n2 l'id dvd
		// on cre un regexp (chaine contenant au moins un charactre de 0  9)
		regDvd = new RegExp("^[1-9][0-9]*$");

		// on teste si l'anne correspond bien au regexp ou AUTO
		if(regDvd.test(id_dvd.value) || id_dvd.value=='AUTO' && mode == 'creer')
			{
				//s'il correspond
				id_dvd.style.backgroundColor="#0F6"; //vert
				
			}
		else
			{
				//anne incorrecte
				id_dvd.style.backgroundColor="#F60"; //orange
				champsIncomplet=true;
			}
	//on affiche une erreur si un champs est incorrect
	if(champsIncomplet)
		{
			alert('Un champs n\'a pas t renseign ou est incorrect');
			return false;
		}
	return true;
}

//fonction qui sert seulement pour le champ id_dvd (utile seulement en mode creation)
function dvd_assist(action)
{
	//on rcupre la valeur de la case
	var id_dvd=document.getElementsByName('id_dvd')[0];	

	//on suppprime les espaces blancs
	id_dvd.value=trim(id_dvd.value);
	
	// 1er cas : l'utilisateur  selectionner la case
	if(action=='selection')
	{
		//on teste sa valeur
		if(id_dvd.value=='AUTO')
		{
			//le mode est AUTO on vide la case
			id_dvd.value='';
		}
	}
	else // 2eme cas : l'utilisateur quitte la case
	{
		//on vrifie si la case est vide
		if(id_dvd.value=='')
		{
			//la case est vide on remet le mode AUTO
			id_dvd.value='AUTO';
		}
	}
}