<?php

/** But :
 * Effectuer des oprations sur un fichier reu ou existant
 *
 ** Entre(s)/Sortie(s) :
 * aucune
 *
 * @author Lim Vincent
 */
class fichier_recu
{
	private $nom_du_champs; //le nom du champs peut contenir le nom du fichier
	
	// definition de la constante qui concerne l'image
	const RACINE_IMAGE='files/2I/videotheque/images_film/'; 
		
	function __construct($nom_du_champs)
	{
		$this->nom_du_champs=$nom_du_champs;
	}	
	
	
	/** But :
	 * Savoir si un fichier a t transfr avec succs
	 *
	 ** Entre(s)/Sortie(s) :
	 * @return booleen
	 */
	function transfert_reussie()
	{
		if(empty($_FILES[$this->nom_du_champs]) OR $_FILES[$this->nom_du_champs]['error'] > 0)
		{
			return false;
		}
		
		return true;
	}
	
	/** But :
	 * Donne l'extention du fichier reu (renvoie invalide si le type n'est pas dfinis)
	 *
	 ** Entre(s)/Sortie(s) :
	 * @return extentionDuFichier (chaine de caractre)
	 * 
	 */
	function extention()
	{

		$type=$_FILES[$this->nom_du_champs]['type'];
		
		switch($type)
		{
			case 'image/pjepg':
			case 'image/jpeg':
				return '.jpg';

			case 'image/png':
			case 'image/x-png': //x-png = png (type reconnu par le serveur du laas)
				return '.png';

			case 'image/gif':
				return '.gif';

			case 'image/bmp':
				return '.bmp';

			default:
				//dcommenter la ligne suivante si vous n'arrivez pas  envoyer une image
				//echo $type . <br>;
				return 'invalide';
		}	
	}
	
	/** But :
	 * Dplacer un fichier reu
	 *
	 ** Entre(s)/Sortie(s) :
	 * @param $nom
	 * @return booleen
	 */
	function deplacer($nom)
	{	
		chmod ($_FILES[$this->nom_du_champs]['tmp_name'], 0755);
		$destination = fichier_recu::RACINE_IMAGE . strtolower($nom) . $this->extention();
		
		$deplacementReussie=move_uploaded_file($_FILES[$this->nom_du_champs]['tmp_name'],$destination);
		
		return $deplacementReussie;
	}
	

	
	/** But :
	 * Supprime un fichier existant
	 *
	 ** Entre(s)/Sortie(s) :
	 * @param $nom
	 * @return boleen
	 */
	function supprimer($nom)
	{	
		$suppressionReussie=unlink(fichier_recu::RACINE_IMAGE . $nom);
		
		return $suppressionReussie;
	}
}