<?php 
/*
 * BUT DU SCRIPT : 
 * - Permettre la gestion des genres
 */

//######################
//### OBJETS NECESSAIRES
//######################
//require_once(RACINE_SOURCE . 'objets/objets-fichier.php');
//require_once(RACINE_SOURCE . 'objets/objets-bdd.php');

//#######################
//### CREATION DES OBJETS
//#######################
$bdd = new base_de_donnee('videotheque');
$genre= new table('genre');
$film= new table('film_test');
$securite= new securite();
//###################
//### DEBUT DU SCRIPT
//###################
if(isset($_POST['action']))
	{
		switch($_POST['action'])
		{
			case 'creer':
				// L'utilisateur souhaite creer un genre
				if ( isset($_POST['nom']) and trim($_POST['nom']) != '' ) 
					{
						// Changement de la casse du nom reu
						$nom_genre= $securite->toValueSQL(ucfirst($_POST['nom']));
						
						// Test : le nom du genre dj utilis ?
						if( valeur_existe($genre,'nom_genre',$nom_genre) )
							{
								// le genre est dj utilis
									echo "Un genre porte dj le mme nom.<br>";
							}
						else
							{
								// le genre n'est pas utilis on le cre
									$genre->insert('nom_genre', $nom_genre);
									echo "Le genre a t cre.<br>";
							}
					}
				break;

			case 'supprimer':
				if ( isset($_POST['id']) and $_POST['id'] != NULL )
				{
						$id_genre= $securite->toValueSQL($_POST['id']);
						
						// Test : l'id genre existe ?
						if ( valeur_existe($genre,'id_genre',$id_genre) )
							{
								$nombreFilmGenre=$film->compter_entree('WHERE id_genre=' . $id_genre);
								
								if($nombreFilmGenre>0)
								{
									// l'id genre n'existe pas
									echo "Le genre ne peut pas tre supprim : aucun film ne doit possder le genre avant sa suppression.<br>";
								}
								else
								{
									// l'id genre existe : on le supprime
									$genre->delete($id_genre,'');
									echo "Le genre a t supprim";
								}
							}
						else
							{
								//on ne fait rien
							}
					}
				break;
		}
	}

?>						