<?php
//dbut de la session
session_start();

// On dfinis le repertoire source si ce n'est pas dj fait
if(!defined('RACINE_SOURCE'))
{
	define('RACINE_SOURCE','/www/htdocs/laas/files/2I/videotheque/');
}

// ################## 
// Dfinition des Classes
// ##################
require_once(RACINE_SOURCE . 'objets/objets-bdd.php');

// ##################
// Dfinition des Fonctions
// ##################
require_once(RACINE_SOURCE . 'fonctions/fonctions-bdd.php');

// ##################
// Cration des Objets
// ##################
$videotheque = new base_de_donnee('videotheque');
$admin = new table('admin');
$securite = new securite();

// Script
	// Test de verification de connection
	if(isset($_POST['login'],$_POST['mdp']) && !empty($_POST['login']) && !empty($_POST['mdp']))
		{
			
			// Scurit pour les valeurs et transformations
				$login=mysql_real_escape_string($_POST['login']);
				$mdp=sha1('z'. $_POST['mdp'] . $login,true);
			
			// Vrification de l'existance du login
				// la taille minimale d'un login et d'un mot de passe est de 5 : sinon il ne sera mme pas vrifi
				if(strlen($_POST['login']) < 5 || strlen($_POST['mdp']) <5)
					{
						//le login ou le mot de passe n'est pas assez long pour tre celui d'un utilisateur
						$erreur='Login ou mot de passe incorrect';
					}
				elseif(! valeur_existe($admin,'login_admin','\'' . $login . '\''))
					{
						// Le login est mauvais
						$erreur='Login ou mot de passe incorrect';
					}
				else
					{
						// Le login est bon
							$nombreCorrespondant=$admin->compter_entree('WHERE login_admin=\'' . $login . '\' AND mdp_admin=\'' . $mdp . '\'');
							
							if($nombreCorrespondant>0)
								{
									// on cre une variable session pour indiquer que l'administrateur est connect
									$_SESSION['login']=$login;
								}
							else
								{	
									// mot de passe erron
									$erreur='Login ou mot de passe incorrect';
								}
					}
		}	

// On vrifie si l'utilisateur est connect
if( isset($_SESSION['login']) )
	{
		// On teste si l'utilisateur veut se deconnecter
		if(isset($_GET['deconnecter']))
			{
				// L'utilisateur veut se deconnecter
					// On libre les variables de la session
					session_unset();
					
					// On dtruit le cookies de session
					setcookie(session_name(),'false');
					
					//On dtruit la session
					session_destroy();
					
				// on cre une variable pour indiquer  la suite du script d'afficher un message de confirmation
					$confirmerDeconnection=true;
			}
		else
			{
				// L'utilisateur ne cherche pas  se deconnecter
					// on redirige l'utilisateur sur la page d'administration
					header('Location: 1-7029-administration-videotheque.php');
					
					//si la redirection n'a pas russie on interrompt le script
					exit();
			}
	}

/* 
	Instructions pour le changement de mot de passe manuel de la page (via PHPMyAdmin : https://www.laas.fr/phpmyadmin )
	
	=> Utiliser la requte SQL (en remplacer les indications marqu par < > )
	######## dbut de la requte SQL ########
	
		UPDATE  admin 
		SET  mdp_admin =  UNHEX(SHA1('z<mot de passe><login administrateur>')) 
		WHERE  id_admin =<id_admin> ;
	
	########## FIN ##########################
	
	
	/!\ Mise en garde spciale /!\  : 
		L'utilisateur ne pourra pas se connecter si :
			Son login n'a pas une longueur au minimun de 5 caractres
			Son mot de passe d'une longueur au minimun  de 5 caractres
		On peut changer la restriction  la ligne 39 de ce fichier.
	

	Exemple :
		id_admin : 102
		login : azerty
		mot de passe : 12345
		
	donne la requte SQL suivante :
		UPDATE admin
		SET mdp_admin = UNHEX(SHA1('z12345azerty'))
		WHERE id_admin=102;
		

?>